glasses/urls.py
from django.urls import path
from . import views


urlpatterns = [
    path('', views.glasses_view, name='glasses'),
]

homepage/urls.py
from django.urls import path
from django.utils.translation import gettext_lazy as _
from . import views


urlpatterns = [
    # path(_('search-results/'), views.search_results, name="search-results"),
    path('', views.homepage_view, name='homepage'),
]

ochelari/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.i18n import i18n_patterns
from django.utils.translation import gettext_lazy as _
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = []

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)
                          
urlpatterns += i18n_patterns(
    path('admin/', admin.site.urls),
    path('', include(('homepage.urls', 'homepage'),
                     namespace='homepage')),
    path(_('glasses/'), include(('glasses.urls', 'glasses'),
                                namespace='glasses')),
)

homepage/models.py
from django.db import models


class Characteristics(models.Model):
    frame_type = models.CharField(
        "tip rama", max_length=50, default="intreaga")
    genre = models.CharField("gen", max_length=50, default="femei")
    material = models.CharField(
        "material rama", max_length=50, default="plastic")
    shape = models.CharField(
        "forma rama", max_length=50, default="ochi de pisica")
    color = models.CharField("culoare rama", max_length=50, default="neagra")
    shippping = models.CharField(
        "termen livrare", max_length=50, default="1-3 zile lucratoare")


class Dimensions(models.Model):
    height = models.IntegerField()
    width = models.IntegerField()
    nasal_bridge = models.IntegerField()
    arm_length = models.IntegerField()


class Lens(models.Model):
    r_sphere = models.FloatField()
    r_cylinder = models.FloatField()
    r_axis = models.IntegerField()
    l_sphere = models.FloatField()
    l_cylinder = models.FloatField()
    l_axis = models.IntegerField()
    pupillary_distance = models.FloatField()


class GlassesType(models.Model):
    glasses_type = models.CharField("tip ochelari", max_length=50)


class Glasses(models.Model):
    image = models.ImageField(
        upload_to='glasses-pics/', blank=True, null=True)
    glasses_type = models.OneToOneField(
        GlassesType, on_delete=models.PROTECT, blank=True, null=True)
    characteristics = models.OneToOneField(
        Characteristics, on_delete=models.PROTECT, blank=True, null=True)
    dimensions = models.OneToOneField(
        Dimensions, on_delete=models.PROTECT, blank=True, null=True)
    lens = models.OneToOneField(
        Lens, on_delete=models.PROTECT, blank=True, null=True)

    @property
    def image_url(self):
        if self.image and hasattr(self.image, 'url'):
            return self.image.url

homepage/forms.py
from django import forms

from .models import Glasses, Lens, Characteristics, Dimensions, GlassesType


class GlassesForm(forms.ModelForm):

    class Meta:
        model = Glasses
        fields = ['image', 'glasses_type',
                  'characteristics', 'dimensions', 'lens', ]

glasses/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect

from homepage.models import Glasses
from homepage.forms import GlassesForm


def glasses_view(request):

    if request.method == "POST":
        form = GlassesForm(request.POST, request.FILES)

        if form.is_valid():
            print('worked')
            form.save()

            return HttpResponseRedirect('.')

    else:
        form = GlassesForm()
        glasses = Glasses.objects.all()

        return render(request, 'glasses/glasses.html',
                      {'form': form,
                       'glasses': glasses, })

homepage/views.py
from django.shortcuts import render


def homepage_view(request):

    return render(request, 'homepage/base.html')

glasses/templates/glasses/glasses.html
{% extends 'homepage/base.html' %} {% block content %} {% load static %}
<!-- Translations -->
{% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Glasses" %}</h2>
  </div>
</div>

<div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5">
  <form class="form-horizontal" id="add-provider-form" method="POST" action="" role="form" enctype="multipart/form-data">
    {% csrf_token %} {{ form.non_field_errors }} {{ form.as_ul }}
    <button class="btn btn-success" style="width:100px" type="submit">OK</button>
  </form>
</div>

{% if glasses %} {% for pair in glasses %}
<ul class="offset-md-2">
  
  {% if pair.image %}
    <img src="{{ pair.image.url }}" width="300" height="150"> 
  {% endif %}

</ul>
<br> {% endfor %} {% endif %} {% endblock %}

homepage/templates/homepage/base.html
<!doctype html>
<html lang="en">

<head>
  <!-- Translations -->
  {% load i18n %}
  <title>{% trans "Ochelari Shop" %}</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Loads the path to your static files -->
  {% load static %}

  <!-- styles -->
  <!-- Bootstrap 4.0.0-beta2 CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-beta.2/css/bootstrap.css" integrity="sha256-bQNoQmAU+jjEAH6JRX378IbDNnQPkLt5yWRxHn3yUYE="
    crossorigin="anonymous" />
  <!-- Bootstrap datetimepicker CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.css"
    integrity="sha256-b5ZKCi55IX+24Jqn638cP/q3Nb2nlx+MH/vMMqrId6k=" crossorigin="anonymous" />
  <!-- Fullcalendar -->
  <link rel='stylesheet' type='text/css' href="{% static 'fullcalendar/fullcalendar.css' %}">
  <!-- Pickadate theme default -->
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.date.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.time.css' %}">
  <!-- Static CSS -->
  <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}">

  <!-- scripts (in the head of html, at the suggestion from fullcalendar.io)-->
  <!-- jQuery -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js" integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
    crossorigin="anonymous"></script>
  <!-- Moment.js with locales -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.19.3/moment-with-locales.js" integrity="sha256-KDB8QtKomWcCR2Ln2Ald1qDs2pvBiVqbZ+PxGzJLHj8="
    crossorigin="anonymous"></script>
  <!-- Popper.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
    crossorigin="anonymous"></script>
  <!-- Bootstrap 4.0.0-beta 2 Js-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-beta.2/js/bootstrap.js" integrity="sha256-o5aEI5KgisQLdZNoCMhg5OQcBDXoUHF5P1ubIREMaZg="
    crossorigin="anonymous"></script>
  <!-- Bootstrap datetimepicker JS -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"
    integrity="sha256-5YmaxAwMjIpMrVlK84Y/+NjCpKnFYa8bWWBbUHSBGfU=" crossorigin="anonymous"></script>
  <!-- Fullcalendar -->
  <script src="{% static 'fullcalendar/lib/moment.min.js' %}"></script>
  <script src="{% static 'fullcalendar/fullcalendar.js' %}"></script>
  <!-- FontAwesome -->
  <script defer src="https://use.fontawesome.com/releases/v5.0.1/js/all.js"></script>
  <!-- jQuery Validation Plugin -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>

  <script>
     
  </script>

  <!-- Pickadate js -->
  <script src="{% static 'pickadate.js/lib/picker.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.date.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.time.js' %}"></script>

  <!-- Static JS -->
  <script src="{% static 'homepage/base.js' %}"></script>

</head>

<body>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark">

    <div class="navbar-brand" id="logo">Logo</div>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="#">{% trans "Start" %}
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'glasses:glasses' %}">{% trans "Glasses" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">{% trans "Something" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">{% trans "Something" %}</a>
        </li>
        {% trans 'Search' as search %}
        <li class="nav-item">
          <form class="form-inline my-lg-0" role="search" method="get" action="#">
            <input class="form-control mr-sm-2" type="search" placeholder="{{ search }}" aria-label="{{ search }}" name="q">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">{{ search }}</button>
          </form>
        </li>
      </ul>
      {% if user.is_authenticated %}
      <div class="dropdown">
        <button class="btn btn-outline-success dropdown-toggle" type="button" id="dropdown-user-button" data-toggle="dropdown" aria-haspopup="true"
          aria-expanded="false">
          {{ user }}
        </button>
        <div class="dropdown-menu" id="dropdown-user" aria-labelledby="dropdown-user-button">
          <a class="dropdown-item" href="#">{% trans "Account settings" %}</a>
          <div class="dropdown-divider"></div>
          <a class="nav-link" href="#" id="logout">
            <i class="fas fa-power-off fa-fw"></i> {% trans "Logout" %}
          </a>
        </div>
      </div>
      {% endif %}
    </div>

  </nav>

  <div class="container-fixed">
    {% block content %} {% endblock %}
  </div>



</body>

</html>